Bug 1575295

Summary: Booting to emergency mode fails
Product: [Fedora] Fedora Reporter: Alan Jenkins <alan.christopher.jenkins>
Component: selinux-policy-targetedAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED CURRENTRELEASE QA Contact: Ben Levenson <benl>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, fedora.jrg01, liblit, mail, olle
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-15 06:51:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alan Jenkins 2018-05-05 19:10:05 UTC
Description of problem:
Not possible to boot to emergency.target

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.14.1-24.fc28.noarch

How reproducible: always


Steps to Reproduce:
1. Reboot into GRUB menu
2. Press 'e' to edit
3. In the linux line, add "systemd.unit=emergency.target"

Actual results:
systemd is booted from the root filesystem.  It logs that the journal service is stopped (this is it noticing the death of journald from the initrd).  It logs that initrd-switch-root has finished.  Then, it just repeatedly logs the message that it is looping too fast, and it is throttling execution.

It does not start an emergency shell, prompt for the root password, or show any response to normal keypresses.

Expected results:
An emergency shell

Additional info:
This only happens when booting with selinux in enforcing mode. When booting in permissive mode, I get the expected results.

Comment 1 John Griffiths 2018-05-22 20:21:27 UTC
Same for me.

Comment 2 Ben Cotton 2019-05-02 19:57:43 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Alan Jenkins 2019-05-02 21:11:05 UTC
Appears to be fixed.  At least, I was not able to reproduce it in Fedora 30.  Hooray :-).

Comment 4 Lukas Vrabec 2019-05-15 06:51:48 UTC
Thanks for update. Closing this ticket.